# cgmatt.h File Reference

`#include "cgmtypes.h"`

## Defines

#define | Extern extern

## Typedefs

typedef sharedatt | Sharedatt
typedef lineatt | Lineatt
typedef markeratt | Markeratt
typedef textatt | Textatt
typedef fillatt | Fillatt
typedef edgeatt | Edgeatt
typedef linebundle | Linebundle
typedef markerbundle | Markerbundle
typedef textbundle | Textbundle
typedef fillbundle | Fillbundle
typedef edgebundle | Edgebundle

## Functions

Extern void | ATTline ()
Extern void | ATTmarker ()
Extern void | ATTtext ()
Extern void | ATTfill ()
Extern void | ATTedge ()

## Define Documentation

#define Extern extern

## Typedef Documentation

typedef struct edgeatt Edgeatt

typedef struct edgebundle Edgebundle

typedef struct fillatt Fillatt

typedef struct fillbundle Fillbundle

typedef struct lineatt Lineatt

typedef struct linebundle Linebundle

typedef struct markeratt Markeratt

typedef struct markerbundle Markerbundle

typedef struct sharedatt Sharedatt

typedef struct textatt Textatt

typedef struct textbundle Textbundle

## Function Documentation

Extern void ATTedge | ( |  | ) |

Extern void ATTfill | ( |  | ) |

Extern void ATTline | ( |  | ) |

Extern void ATTmarker | ( |  | ) |

Extern void ATTtext | ( |  | ) |